Skip to content

Executor Update

Request

The sample rate defines the percentage of the bid opportunities that are forwarded to your endpoints. The sample rate can be adjusted by the client collectively for all endpoints of an executor. This feature is useful to manage and budget system utilization.

Security
oauth2
Path
executor_idinteger, (int32)required

The Executor ID identifies an Executor which provide a logical grouping for your Bid Valuation endpoints which are then applied to specific campaigns

org_idinteger, (int32)required

Your organization ID

executor_idinteger, (int32)required

_

org_idinteger, (int32)required

_

Bodyapplication/json

_

sample_rateinteger
PATCH
/custombidrouter/{org_id}/executors/{executor_id}
curl -i -X PATCH \
  'https://api.byoa.mediamath.com/custombidrouter/{org_id}/executors/{executor_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "sample_rate": 0
  }'

Responses

VAR_NAME is variable, the name of an executor

Bodyapplication/json
dataobject
metaobject
Response
{ "data": { "ACME Org Production Executor": {} }, "meta": { "status": "success" } }